Subject: Re: Improvements to "dist" targets

From: Stefano Lattarini <[email-masked]>
Date: Wed, 02 Jan 2013 14:09:12 +0100

I'm re-copying this message to the relevant discussion on GNU
debbugs, so that it will remain registered in our bug tracker.
Please keep that address in CC in any further reply.

On 01/02/2013 04:10 AM, Bob Friesenhahn wrote:
> On Tue, 1 Jan 2013, Daniel Herring wrote:
> 
>> On Tue, 1 Jan 2013, Stefano Lattarini wrote:
>>
>>> OTOH, what about distribution "tarballs" in '.zip' format?  They don't
>>> use tar at all ...  Time to deprecate them maybe?  Is anybody actually
>>> using them?  And while at it, what about the even more obscure 'shar'
>>> format?
>>
>> While I haven't manipulated a shar file in years, but zip is still
>> the dominant archive format on MS platforms.  It is quite common
>> (and a good practice) for a project to distribute \n newlines in a
>> tarball and \r\n newlines in a zip archive.
> 
> The unzip from Info-ZIP supports the -a option to auto-convert text
> files to use MS-DOS line terminations.  It is not really necessary
> to convert to MS-DOS format while packaging.
> 
> Also, it seems that 'notepad' (default for opening .TXT files) is
> virtually the only Windows text editing program which fails to deal
> with Unix line terminations.  Windows development tools have no
> problems with Unix line terminations.
>
This is good news.

> For my own project, we have ditched zip and switched to 7-zip
> instead because it compresses much better.
> 
> BZip is reaching the point of so little value, it looks like it
> should be tossed.
>
But it appears it is still being used (also by Autoconf tarballs, for
exaple), so we should be more gentle and careful in deprecating and
removing it, of we decide to go down that road.

OTOH, I'm not aware of any real use of 'dist-tarZ', 'dist-zip' or
'dist-shar' these days, so we might start to deprecate (but nor
remove yes) them from the next 1.13.2 release.

> Gzip files are not much larger and can serve
> for the case where the most universal format is needed.
> 
I agree that ever deprecating or tossing gzip would be a bad idea.

Regards,
  Stefano